Avis Client Library: Data Fields

### - _ -

- _KB_ : defs.h
- _MB_ : defs.h

### - a -

- array_create : values.h
- array_destroy : values.h
- array_get : values.h
- attributes_clone : attributes.h
- attributes_create : attributes.h
- attributes_destroy : attributes.h
- attributes_iter_create : attributes.h
- attributes_iter_destroy : attributes.h
- attributes_iter_has_next : attributes.h
- attributes_set_int32 : attributes.h
- attributes_set_int64 : attributes.h
- attributes_set_opaque : attributes.h
- attributes_set_real64 : attributes.h
- attributes_set_string : attributes.h
- avis_emalloc : errors.h
- avis_estrdup : errors.h
- AVIS_IO_TIMEOUT : defs.h
- AVIS_LISTENERS_TYPE : elvin.h
- AVIS_LIVENESS_IDLE_INTERVAL : defs.h
- AVIS_PUBLIC : defs.h
- AVIS_PUBLIC_DATA : defs.h

### - b -

- bool : stdtypes.h

### - c -

- close_socket : net.h

### - d -

- DEFAULT_CLIENT_PROTOCOL_MAJOR : defs.h
- DEFAULT_CLIENT_PROTOCOL_MINOR : defs.h
- DEFAULT_ELVIN_PORT : defs.h
- DEFAULT_URI_PROTOCOL : elvin_uri.h

### - e -

- ELVIN_EMPTY_ERROR : errors.h
- ELVIN_ERRNO_BASE : errors.h
- ELVIN_ERROR_BASE : errors.h
- ELVIN_ERROR_CONNECTION_CLOSED : errors.h
- elvin_error_from_pipe : net.h
- elvin_error_from_socket : net.h
- ELVIN_ERROR_INTERNAL : errors.h
- ELVIN_ERROR_INVALID_URI : errors.h
- ELVIN_ERROR_NACK : errors.h
- ELVIN_ERROR_NONE : errors.h
- elvin_error_occurred : errors.h
- elvin_error_ok : errors.h
- ELVIN_ERROR_PROTOCOL : errors.h
- elvin_error_reset : errors.h
- ELVIN_ERROR_ROUTER_FAILURE : errors.h
- ELVIN_ERROR_SYNTAX : errors.h
- ELVIN_ERROR_TIMEOUT : errors.h
- ELVIN_ERROR_TRIVIAL_EXPRESSION : errors.h
- ELVIN_ERROR_USAGE : errors.h
- ELVIN_HOST_ERROR_BASE : errors.h
- elvin_key_copy : keys.h
- elvin_keys_create : keys.h
- elvin_keys_destroy : keys.h
- EMPTY_ATTRIBUTES : attributes.h
- EMPTY_KEYS : keys.h
- errno_to_elvin_error : errors.h

### - f -

- false : stdtypes.h

### - h -

- host_to_elvin_error : errors.h

### - i -

- INT16_C : stdint_msvc.h
- INT16_MAX : stdint_msvc.h
- INT16_MIN : stdint_msvc.h
- INT32_C : stdint_msvc.h
- INT32_MAX : stdint_msvc.h
- INT32_MIN : stdint_msvc.h
- INT64_C : stdint_msvc.h
- INT64_MAX : stdint_msvc.h
- INT64_MIN : stdint_msvc.h
- INT8_C : stdint_msvc.h
- INT8_MAX : stdint_msvc.h
- INT8_MIN : stdint_msvc.h
- INT_FAST16_MAX : stdint_msvc.h
- INT_FAST16_MIN : stdint_msvc.h
- INT_FAST32_MAX : stdint_msvc.h
- INT_FAST32_MIN : stdint_msvc.h
- INT_FAST64_MAX : stdint_msvc.h
- INT_FAST64_MIN : stdint_msvc.h
- INT_FAST8_MAX : stdint_msvc.h
- INT_FAST8_MIN : stdint_msvc.h
- INT_LEAST16_MAX : stdint_msvc.h
- INT_LEAST16_MIN : stdint_msvc.h
- INT_LEAST32_MAX : stdint_msvc.h
- INT_LEAST32_MIN : stdint_msvc.h
- INT_LEAST64_MAX : stdint_msvc.h
- INT_LEAST64_MIN : stdint_msvc.h
- INT_LEAST8_MAX : stdint_msvc.h
- INT_LEAST8_MIN : stdint_msvc.h
- INTMAX_C : stdint_msvc.h
- INTMAX_MAX : stdint_msvc.h
- INTMAX_MIN : stdint_msvc.h
- INTPTR_MAX : stdint_msvc.h
- INTPTR_MIN : stdint_msvc.h

### - k -

- KEY_SCHEME_SHA1_CONSUMER : keys.h
- KEY_SCHEME_SHA1_DUAL : keys.h
- KEY_SCHEME_SHA1_PRODUCER : keys.h

### - m -

- MAX_ARRAY_LENGTH : defs.h
- MAX_ATTRIBUTE_COUNT : defs.h
- MAX_KEY_COUNT : defs.h
- MAX_KEY_SCHEME_COUNT : defs.h
- MAX_OPAQUE_LENGTH : defs.h
- MAX_PACKET_LENGTH : defs.h
- MAX_STRING_LENGTH : defs.h

### - o -

- on_error_return : errors.h
- on_error_return_false : errors.h

### - p -

- pipe_read : net.h
- pipe_write : net.h
- PTRDIFF_MAX : stdint_msvc.h
- PTRDIFF_MIN : stdint_msvc.h

### - s -

- SIG_ATOMIC_MAX : stdint_msvc.h
- SIG_ATOMIC_MIN : stdint_msvc.h
- SIZE_MAX : stdint_msvc.h
- sock_op_timed_out : net.h

### - t -

- true : stdtypes.h

### - u -

- UINT16_C : stdint_msvc.h
- UINT16_MAX : stdint_msvc.h
- UINT32_C : stdint_msvc.h
- UINT32_MAX : stdint_msvc.h
- UINT64_C : stdint_msvc.h
- UINT64_MAX : stdint_msvc.h
- UINT8_C : stdint_msvc.h
- UINT8_MAX : stdint_msvc.h
- UINT_FAST16_MAX : stdint_msvc.h
- UINT_FAST32_MAX : stdint_msvc.h
- UINT_FAST64_MAX : stdint_msvc.h
- UINT_FAST8_MAX : stdint_msvc.h
- UINT_LEAST16_MAX : stdint_msvc.h
- UINT_LEAST32_MAX : stdint_msvc.h
- UINT_LEAST64_MAX : stdint_msvc.h
- UINT_LEAST8_MAX : stdint_msvc.h
- UINTMAX_C : stdint_msvc.h
- UINTMAX_MAX : stdint_msvc.h
- UINTPTR_MAX : stdint_msvc.h

### - v -

- value_clone : values.h
- value_create : values.h
- value_create_int32 : values.h
- value_create_int64 : values.h
- value_create_opaque : values.h
- value_create_real64 : values.h
- value_create_string : values.h
- value_create_string_nocopy : values.h
- value_destroy : values.h

### - w -

- WCHAR_MAX : stdint_msvc.h
- WCHAR_MIN : stdint_msvc.h
- WINT_MAX : stdint_msvc.h
- WINT_MIN : stdint_msvc.h